summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-cdr/cdemu')
-rw-r--r--app-cdr/cdemu/Manifest2
-rw-r--r--app-cdr/cdemu/cdemu-2.1.1.ebuild63
-rw-r--r--app-cdr/cdemu/cdemu-3.0.0.ebuild68
-rw-r--r--app-cdr/cdemu/files/cdemu-2.1.0-bash-completion-dir.patch15
-rw-r--r--app-cdr/cdemu/files/cdemu-3.0.0-bash-completion-dir.patch14
-rw-r--r--app-cdr/cdemu/metadata.xml14
6 files changed, 176 insertions, 0 deletions
diff --git a/app-cdr/cdemu/Manifest b/app-cdr/cdemu/Manifest
new file mode 100644
index 00000000000..9089ee8863a
--- /dev/null
+++ b/app-cdr/cdemu/Manifest
@@ -0,0 +1,2 @@
+DIST cdemu-client-2.1.1.tar.bz2 28474 SHA256 204e626994f61d36423f3b732e180e3b3b20624effdfe91aabffd439c76d3964 SHA512 d764000fadc66b639dd8f20d9bb8fbe3b91d3e20bd207d30a734dc1a9a7fae746e8aad317a3d78cd35b69d0a8acbf8e389598786cadabec6e512640ba5b21be5 WHIRLPOOL 93cb01c3bc16ee69e3fd9ce9080838f4eebc874afe8d6be71c22e44919909144980dd44595a0dbf6fe1add3574061bcd6f523b72644eb52774d974f226c100b9
+DIST cdemu-client-3.0.0.tar.bz2 40300 SHA256 359310a57422d5c59c8f93be0da827a2437edb1e62f455f5614089c28e34ae88 SHA512 807fe98dc8743a227484d20587c9f9e06cac649d74d8fdd520dba9bb2a2f268ba977c922333fdcf91201baf4f08595044939f6d5bd4834ec26cf689b6a36f361 WHIRLPOOL bd7d5b0ebe75aad5629f8cdf9f1de04fbdf7ad37400163d69e1eb9bfe35a47bc2bca5b58a031bb022611689d7c7c480fcc98403f883643ccc3cc2049f98fb814
diff --git a/app-cdr/cdemu/cdemu-2.1.1.ebuild b/app-cdr/cdemu/cdemu-2.1.1.ebuild
new file mode 100644
index 00000000000..86ea5fa4965
--- /dev/null
+++ b/app-cdr/cdemu/cdemu-2.1.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+CMAKE_MIN_VERSION="2.8.5"
+PYTHON_COMPAT=( python2_7 )
+PLOCALES="de fr no pl sl sv"
+
+inherit bash-completion-r1 cmake-utils eutils fdo-mime l10n python-single-r1
+
+DESCRIPTION="Command-line tool for controlling cdemu-daemon"
+HOMEPAGE="http://cdemu.org"
+SRC_URI="mirror://sourceforge/cdemu/cdemu-client-${PV}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="amd64 ~hppa x86"
+IUSE="+cdemu-daemon"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ cdemu-daemon? ( app-cdr/cdemu-daemon:0/6 )"
+DEPEND="${RDEPEND}
+ dev-util/desktop-file-utils
+ >=dev-util/intltool-0.21
+ >=sys-devel/gettext-0.18"
+
+S=${WORKDIR}/cdemu-client-${PV}
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ python_fix_shebang src/cdemu
+ epatch "${FILESDIR}/${PN}-2.1.0-bash-completion-dir.patch"
+ # build system doesn't respect LINGUAS :/
+ l10n_find_plocales_changes po "" ".po"
+ rm_po() {
+ rm po/$1.po || die
+ }
+ l10n_for_each_disabled_locale_do rm_po
+}
+
+src_configure() {
+ DOCS="AUTHORS README"
+ local mycmakeargs=(
+ -DPOST_INSTALL_HOOKS=OFF
+ -DGENTOO_BASHCOMPDIR="$(get_bashcompdir)"
+ )
+ cmake-utils_src_configure
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+}
diff --git a/app-cdr/cdemu/cdemu-3.0.0.ebuild b/app-cdr/cdemu/cdemu-3.0.0.ebuild
new file mode 100644
index 00000000000..bb3dcb42a2b
--- /dev/null
+++ b/app-cdr/cdemu/cdemu-3.0.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+CMAKE_MIN_VERSION="2.8.5"
+PYTHON_COMPAT=( python2_7 )
+PLOCALES="no sl sv"
+
+inherit bash-completion-r1 cmake-utils eutils fdo-mime l10n python-single-r1
+
+DESCRIPTION="Command-line tool for controlling cdemu-daemon"
+HOMEPAGE="http://cdemu.org"
+SRC_URI="mirror://sourceforge/cdemu/cdemu-client-${PV}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="amd64 ~hppa x86"
+IUSE="+cdemu-daemon"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ cdemu-daemon? ( app-cdr/cdemu-daemon:0/7 )"
+DEPEND="${RDEPEND}
+ dev-util/desktop-file-utils
+ >=dev-util/intltool-0.21
+ >=sys-devel/gettext-0.18"
+
+S=${WORKDIR}/cdemu-client-${PV}
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ python_fix_shebang src/cdemu
+ epatch "${FILESDIR}/${PN}-3.0.0-bash-completion-dir.patch"
+}
+
+src_configure() {
+ DOCS="AUTHORS README"
+ local mycmakeargs=(
+ -DPOST_INSTALL_HOOKS=OFF
+ -DGENTOO_BASHCOMPDIR="$(get_bashcompdir)"
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+ # Build system doesn't respect LINGUAS, and changing list of installed
+ # translations requires error-prone editing of CMakeLists.txt
+ rm_po() {
+ rm -r "${ED}"/usr/share/locale/$1 || die
+ ls "${ED}"/usr/share/locale/* &> /dev/null || rmdir "${ED}"/usr/share/locale || die
+ }
+ l10n_for_each_disabled_locale_do rm_po
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+}
diff --git a/app-cdr/cdemu/files/cdemu-2.1.0-bash-completion-dir.patch b/app-cdr/cdemu/files/cdemu-2.1.0-bash-completion-dir.patch
new file mode 100644
index 00000000000..a4b26f2608c
--- /dev/null
+++ b/app-cdr/cdemu/files/cdemu-2.1.0-bash-completion-dir.patch
@@ -0,0 +1,15 @@
+diff --git a/cdemu-client/CMakeLists.txt b/cdemu-client/CMakeLists.txt
+index 6f33b7c..3c61daa 100644
+--- a/cdemu-client/CMakeLists.txt
++++ b/cdemu-client/CMakeLists.txt
+@@ -41,8 +41,8 @@ install (
+
+ install (
+ FILES data/cdemu-bashcomp
+- DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/bash_completion.d
+- RENAME cdemu-client
++ DESTINATION ${GENTOO_BASHCOMPDIR}
++ RENAME cdemu
+ )
+
+ intltool_merge ("-d" po data/cdemu-client.desktop.in cdemu-client.desktop)
diff --git a/app-cdr/cdemu/files/cdemu-3.0.0-bash-completion-dir.patch b/app-cdr/cdemu/files/cdemu-3.0.0-bash-completion-dir.patch
new file mode 100644
index 00000000000..54d11dab4d1
--- /dev/null
+++ b/app-cdr/cdemu/files/cdemu-3.0.0-bash-completion-dir.patch
@@ -0,0 +1,14 @@
+diff --git a/cdemu-client/CMakeLists.txt b/cdemu-client/CMakeLists.txt
+index 99b595e..e4f9b6e 100644
+--- a/cdemu-client/CMakeLists.txt
++++ b/cdemu-client/CMakeLists.txt
+@@ -39,7 +39,8 @@ install (
+
+ install (
+ FILES data/cdemu-bash-completion.sh
+- DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/bash_completion.d
++ DESTINATION ${GENTOO_BASHCOMPDIR}
++ RENAME cdemu
+ )
+
+ install (
diff --git a/app-cdr/cdemu/metadata.xml b/app-cdr/cdemu/metadata.xml
new file mode 100644
index 00000000000..f9c962bbe7e
--- /dev/null
+++ b/app-cdr/cdemu/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>tetromino@gentoo.org</email>
+ <name>Alexandre Rostovtsev</name>
+ </maintainer>
+ <use>
+ <flag name="cdemu-daemon">Pull <pkg>app-cdr/cdemu-daemon</pkg> dependency, useful in chroot environment (bug #315491). Do not disable until you know what you are doing.</flag>
+ </use>
+ <upstream>
+ <remote-id type="sourceforge">cdemu</remote-id>
+ </upstream>
+</pkgmetadata>